Bug 1301920 (CVE-2015-7578) - CVE-2015-7578 rails-html-sanitizer: XSS vulnerability due to unremoved attributes from tags
Summary: CVE-2015-7578 rails-html-sanitizer: XSS vulnerability due to unremoved attrib...
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2015-7578
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1301921
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-01-26 11:44 UTC by Andrej Nemec
Modified: 2019-09-29 13:43 UTC (History)
2 users (show)

Fixed In Version: rubygem-rails-html-sanitizer 1.0.3
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 02:47:49 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2016-01-26 11:44:58 UTC
There is a possible XSS vulnerability in rails-html-sanitizer.  Certain
attributes are not removed from tags when they are sanitized, and these
attributes can lead to an XSS attack on target applications.

Upstream bug report:

https://groups.google.com/forum/#!topic/rubyonrails-security/uh--W4TDwmI

External reference:

http://weblog.rubyonrails.org/2016/1/25/Rails-5-0-0-beta1-1-4-2-5-1-4-1-14-1-3-2-22-1-and-rails-html-sanitizer-1-0-3-have-been-released/

Comment 1 Andrej Nemec 2016-01-26 11:45:15 UTC
Created rubygem-rails-html-sanitizer tracking bugs for this issue:

Affects: fedora-all [bug 1301921]

Comment 3 Fedora Update System 2016-02-28 08:29:09 UTC
rubygem-rails-html-sanitizer-1.0.1-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2016-02-28 12:23:54 UTC
rubygem-rails-html-sanitizer-1.0.3-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Product Security DevOps Team 2019-06-08 02:47:49 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.